Starting Plesk failed after upgrade to Plesk 10.2.0


I have seen a lot of topics about failing Plesk to start after upgrading to 10.2.0.

I have got the same problem, the error message was:

Restarting SWsoft control panels server…Duplicate config variable in conditional 1 global/SERVERsocket==:8443: fastcgi.server
2011-04-17 17:44:02: (configfile.c.838) source: /usr/share/sw-cp-server/applications-conf.sh line: 103 pos: 14 parser failed somehow near here: (EOL)
2011-04-17 17:44:02: (configfile.c.838) source: /etc/sw-cp-server/config line: 13 pos: 1 parser failed somehow near here: (EOL)
failed

I found a temporary workaround (not a fix!). Do the following:

# cd /etc/sw-cp-server/applications.d
# mv 00-sso-cpserver.conf 00-sso-cpserver.conf.bak

And try to start Plesk:

# /etc/init.d/sw-cp-server restart

It should work!